Get Intake by ID
curl --request GET \
--url https://platform.kodexa.ai/api/intakes/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.kodexa.ai/api/intakes/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.kodexa.ai/api/intakes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"activityPlanId": "<string>",
"allowMultipleFiles": true,
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"knowledgeFeatureIds": {},
"largeUploadEnabled": true,
"metadata": {},
"name": "<string>",
"organization": {
"archived": true,
"authGroupLink": {
"authGroup": "<string>"
},
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"defaultToPrivateTemplates": true,
"description": "Document processing organization for Acme Corp.",
"enterpriseOrganization": true,
"features": {},
"hasImage": true,
"id": "550e8400-e29b-41d4-a716-446655440000",
"memory": {
"orderedDashboards": [
"<string>"
]
},
"name": "Acme Corp",
"organizationStatus": "ACTIVE",
"properties": {},
"publicAccess": true,
"searchText": "<string>",
"slug": "acme-corp",
"stripeCustomerId": "<string>",
"supportAccess": true,
"supportAccessExpiresAt": "2023-11-07T05:31:56Z",
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "550e8400e29b41d4a716446655440000"
},
"organizationId": "<string>",
"script": "<string>",
"scriptEnabled": true,
"slug": "<string>",
"store": {
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"deleteUserEmail": "<string>",
"deleteUserId": "<string>",
"deleted": true,
"deletedDate": "2023-11-07T05:31:56Z",
"deprecated": true,
"eventAware": true,
"extensionPackRef": "<string>",
"id": "<string>",
"metadata": {
"deleteProtection": true,
"metadata": {
"documentProperties": "<unknown>",
"indexed": true,
"labelExpressions": "<unknown>",
"type": "<string>"
},
"storePurpose": "<string>",
"storeType": "<string>"
},
"name": "<string>",
"organizationId": "<string>",
"publicAccess": true,
"slug": "<string>",
"supportsScheduling": true,
"template": true,
"type": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"yamlSource": "<string>"
},
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "<string>"
}Intakes
Get Intake by ID
Retrieves a single Intake by its unique identifier. Intakes configure how documents are ingested from external sources.
GET
/
api
/
intakes
/
{id}
Get Intake by ID
Authorizations
x-api-keybearerAuth
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Unique identifier (UUID) of the resource.
Response
The Intake
An intake configures how documents are ingested from external sources.
Show child attributes
Show child attributes
An organization is the top-level tenant in Kodexa. All projects, stores, and resources belong to an organization.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
